Loading...
Searching...
No Matches
DiDisplayLUT Class Reference

Class to compute and store the Display lookup table. More...

Inheritance diagram for DiDisplayLUT:

## Public Member Functions

| DiDisplayLUT (const unsigned long count, const Uint16 max, const double amb, const double illum=0)
| constructor
virtual | ~DiDisplayLUT ()
| destructor
double | getAmbientLightValue () const
| get ambient light value
double | getIlluminationValue () const
| get illumination value
Public Member Functions inherited from DiBaseLUT
| DiBaseLUT (const Uint32 count=0, const Uint16 bits=0)
| constructor
virtual | ~DiBaseLUT ()
| destructor
Uint32 | getCount () const
| get number of LUT entries
Uint16 | getBits () const
| get number of bits per entry
Uint32 | getFirstEntry (const Uint32=0) const
| get index of first LUT entry.
Sint32 | getFirstEntry (const Sint32) const
| get index of first LUT entry.
Uint32 | getLastEntry (const Uint32=0) const
| get index of last LUT entry.
Sint32 | getLastEntry (const Sint32) const
| get index of last LUT entry.
Uint16 | getValue (const Uint16 pos) const
| get value of specified LUT entry
Uint16 | getValue (const Uint32 pos) const
| get value of specified LUT entry.
Uint16 | getValue (const Sint32 pos) const
| get value of specified LUT entry.
Uint16 | getFirstValue () const
| get value of first LUT entry.
Uint16 | getLastValue () const
| get value of last LUT entry.
const Uint16 * | getData () const
| get pointer to LUT data
Uint16 | getMinValue () const
| get minimum value of the LUT.
Uint16 | getMaxValue () const
| get maximum value of the LUT.
Uint32 | getAbsMaxRange () const
| get absolute value range of the LUT entries.
int | isValid () const
| check whether LUT is valid
const char * | getExplanation () const
| get LUT explanation string
virtual OFBool | operator== (const DiBaseLUT &lut)
| compares current LUT with specified LUT

## Private Attributes

const double | AmbientLight
| ambient light value (measured in cd/m^2)
const double | Illumination
| illumination value (measured in cd/m^2)

## Additional Inherited Members

Protected Member Functions inherited from DiBaseLUT
| DiBaseLUT (Uint16 *buffer, const Uint32 count=0, const Uint16 bits=0)
| constructor
int | compare (const DiBaseLUT *lut)
| compares current LUT with specified LUT
Protected Attributes inherited from DiBaseLUT
Uint32 | Count
| number of LUT entries
Uint16 | FirstEntry
| first input value mapped (FIV)
Uint16 | Bits
| number of bits per entry
Uint16 | MinValue
| minimum LUT value
Uint16 | MaxValue
| maximum LUT value
int | Valid
| status code, indicating whether LUT is valid
OFString | Explanation
| LUT explanation string.
const Uint16 * | Data
| pointer to lookup table data
Uint16 * | DataBuffer
| pointer to data buffer (will be deleted in the destructor)

## Detailed Description

Class to compute and store the Display lookup table.

## Constructor & Destructor Documentation

## DiDisplayLUT()

DiDisplayLUT::DiDisplayLUT | ( | const unsigned long | count,
|  | const Uint16 | max,
|  | const double | amb,
|  | const double | illum = 0 )

constructor

Parameters

  count | number of values to be stored
  max | maximum value to be stored
  amb | ambient light value
  illum | illumination value (optional)

## Member Function Documentation

## getAmbientLightValue()

double DiDisplayLUT::getAmbientLightValue | ( |  | ) | const

inline

get ambient light value

Returns
  ambient light value

References AmbientLight.

## getIlluminationValue()

double DiDisplayLUT::getIlluminationValue | ( |  | ) | const

inline

get illumination value

Returns
  illumination value

References Illumination.

The documentation for this class was generated from the following file:

- dcmimgle/include/dcmtk/dcmimgle/didislut.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0